XnModuleProductionNodeInterface Struct Reference

`#include <XnModuleInterface.h>`

## Public Attributes

XnBool(* | IsCapabilitySupported )(XnModuleNodeHandle hInstance, const XnChar *strCapabilityName)
XnStatus(* | SetIntProperty )(XnModuleNodeHandle hInstance, const XnChar *strName, XnUInt64 nValue)
XnStatus(* | SetRealProperty )(XnModuleNodeHandle hInstance, const XnChar *strName, XnDouble dValue)
XnStatus(* | SetStringProperty )(XnModuleNodeHandle hInstance, const XnChar *strName, const XnChar *strValue)
XnStatus(* | SetGeneralProperty )(XnModuleNodeHandle hInstance, const XnChar *strName, XnUInt32 nBufferSize, const void *pBuffer)
XnStatus(* | GetIntProperty )(XnModuleNodeHandle hInstance, const XnChar *strName, XnUInt64 *pnValue)
XnStatus(* | GetRealProperty )(XnModuleNodeHandle hInstance, const XnChar *strName, XnDouble *pdValue)
XnStatus(* | GetStringProperty )(XnModuleNodeHandle hInstance, const XnChar *strName, XnChar *csValue, XnUInt32 nBufSize)
XnStatus(* | GetGeneralProperty )(XnModuleNodeHandle hInstance, const XnChar *strName, XnUInt32 nBufferSize, void *pBuffer)
XnModuleExtendedSerializationInterface * | pExtendedSerializationInterface
XnModuleLockAwareInterface * | pLockAwareInterface
XnModuleErrorStateInterface * | pErrorStateInterface
XnModuleGeneralIntInterface * | pGeneralIntInterface

## Member Data Documentation

## GetGeneralProperty

XnStatus(* XnModuleProductionNodeInterface::GetGeneralProperty) (XnModuleNodeHandle hInstance, const XnChar *strName, XnUInt32 nBufferSize, void *pBuffer)

## GetIntProperty

XnStatus(* XnModuleProductionNodeInterface::GetIntProperty) (XnModuleNodeHandle hInstance, const XnChar *strName, XnUInt64 *pnValue)

[Optional] Gets a property.

Parameters

  hInstance | [in] A handle to the instance.
  strName | [in] Property name
  pnValue | [out] Current value

## GetRealProperty

XnStatus(* XnModuleProductionNodeInterface::GetRealProperty) (XnModuleNodeHandle hInstance, const XnChar *strName, XnDouble *pdValue)

## GetStringProperty

XnStatus(* XnModuleProductionNodeInterface::GetStringProperty) (XnModuleNodeHandle hInstance, const XnChar *strName, XnChar *csValue, XnUInt32 nBufSize)

## IsCapabilitySupported

XnBool(* XnModuleProductionNodeInterface::IsCapabilitySupported) (XnModuleNodeHandle hInstance, const XnChar *strCapabilityName)

Checks if the specified capability is supported.

Parameters

  hInstance | [in] A handle to the instance to be queried.
  strCapabilityName | [in] The name of the capability to check.

## pErrorStateInterface

XnModuleErrorStateInterface* XnModuleProductionNodeInterface::pErrorStateInterface

## pExtendedSerializationInterface

XnModuleExtendedSerializationInterface* XnModuleProductionNodeInterface::pExtendedSerializationInterface

## pGeneralIntInterface

XnModuleGeneralIntInterface* XnModuleProductionNodeInterface::pGeneralIntInterface

## pLockAwareInterface

XnModuleLockAwareInterface* XnModuleProductionNodeInterface::pLockAwareInterface

## SetGeneralProperty

XnStatus(* XnModuleProductionNodeInterface::SetGeneralProperty) (XnModuleNodeHandle hInstance, const XnChar *strName, XnUInt32 nBufferSize, const void *pBuffer)

## SetIntProperty

XnStatus(* XnModuleProductionNodeInterface::SetIntProperty) (XnModuleNodeHandle hInstance, const XnChar *strName, XnUInt64 nValue)

[Optional] Sets a property.

Parameters

  hInstance | [in] A handle to the instance.
  strName | [in] Property name
  nValue | [in] New value

## SetRealProperty

XnStatus(* XnModuleProductionNodeInterface::SetRealProperty) (XnModuleNodeHandle hInstance, const XnChar *strName, XnDouble dValue)

## SetStringProperty

XnStatus(* XnModuleProductionNodeInterface::SetStringProperty) (XnModuleNodeHandle hInstance, const XnChar *strName, const XnChar *strValue)

The documentation for this struct was generated from the following file:

- XnModuleInterface.h